Bug 268362 - Unthrottled IPC::Connection loses messages when connection is closed
Summary: Unthrottled IPC::Connection loses messages when connection is closed
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit2 (show other bugs)
Version: WebKit Local Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Kimmo Kinnunen
URL:
Keywords: InRadar
Depends on:
Blocks: 266215
  Show dependency treegraph
 
Reported: 2024-01-29 23:41 PST by Kimmo Kinnunen
Modified: 2024-01-31 12:45 PST (History)
2 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Kimmo Kinnunen 2024-01-29 23:41:56 PST
IPC::Connection loses messages when connection is closed (receive side, normal case)
Comment 1 Radar WebKit Bug Importer 2024-01-29 23:42:09 PST
<rdar://problem/121910136>
Comment 2 Kimmo Kinnunen 2024-01-30 02:30:26 PST
Pull request: https://github.com/WebKit/WebKit/pull/23499
Comment 3 EWS 2024-01-31 12:45:00 PST
Committed 273851@main (d1fb58818ff3): <https://commits.webkit.org/273851@main>

Reviewed commits have been landed. Closing PR #23499 and removing active labels.